Unit tqtsve_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, QTSVE_p;

function tqtsve: String;

implementation

function tqtsve: String;
var
N,I,_i :Integer;
H,X1 :Extended;
F :Array [0..49] of Extended;
X :Array [0..49] of Extended;
RINT :Array [0..49] of Extended;
label
_1,_2;
begin
Result := '';  {   }
H := 3.141592653589793e0/49.e0;
X[0] := 0.e0;
X[1] := H/4.e0;
N := 50;
for I:=3 to N do
 begin
_1:
  X[I-1] := X[I-3]+H*2.e0;
 end;
for I:=1 to N do
 begin
  X1 := X[I-1];
_2:
  F[I-1] := Sin(X1);
 end;
QTSVE(RINT,X,N,F);
Result := Result + #$0D#$0A;
for _i:=0 to 49 do
 begin
  Result := Result + Format('%20.16f ',[RINT[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tqtsve',Result);  {     tqtsve.res }
exit;
end;

end.
